
Katello - Bug #4045

Repositories:  no error message on creating a repository with the same name as an existing

repository

01/16/2014 05:47 PM - Katello Issue Migration

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Steps to Reproduce

1. Create a repository

2. Repeat step 1 with the same name

3. Note lack of error message

Created: waldenraines on October 21, 2013 21:51 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/3237

Associated revisions

Revision e343fa48 - 06/25/2014 12:56 PM - Eric Helms

Fixes #4045: Repository name and label validations properly handled.

Repository name and label validation were being handled improperly

and without the same format as other model validations. This creates

and proper active record validators for each and provides a message

indicating to the user the scope of the validation (i.e. Product).

Revision a64012aa - 06/25/2014 02:07 PM - Eric Helms

Merge pull request #4274 from ehelms/fixes-4045

Fixes #4045: Repository name and label validations properly handled.

Revision aca4af5b - 06/25/2014 04:56 PM - Eric Helms

Fixes #4045: Repository name and label validations properly handled.

Repository name and label validation were being handled improperly

and without the same format as other model validations. This creates

and proper active record validators for each and provides a message

indicating to the user the scope of the validation (i.e. Product).

Revision 36caaee4 - 06/25/2014 06:07 PM - Eric Helms

Merge pull request #4274 from ehelms/fixes-4045

Fixes #4045: Repository name and label validations properly handled.

History

#1 - 04/25/2014 12:14 PM - Justin Sherrill

- translation missing: en.field_release set to 13

- Triaged set to No

#2 - 06/03/2014 02:24 PM - Eric Helms

- Category set to Web UI
- Target version set to 45

- Triaged changed from No to Yes

#3 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/23/2014 07:26 PM - Mike McCune

- Assignee set to Partha Aji

#5 - 06/23/2014 07:42 PM - Walden Raines

- Status changed from New to Ready For Testing

- Assignee changed from Partha Aji to Eric Helms

https://github.com/Katello/katello/pull/4274

#6 - 06/25/2014 06:52 PM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:aca4af5b5329d420fdbc7fb51fd5af6e3eab948b.
